/****************************************************************
Copyright (c) 1998 Sandro Sigala <ssigala@globalnet.it>.
All rights reserved.

Permission to use, copy, modify, and distribute this software
and its documentation for any purpose and without fee is hereby
granted, provided that the above copyright notice appear in all
copies and that both that the copyright notice and this
permission notice and warranty disclaimer appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.

The author disclaim all warranties with regard to this
software, including all implied warranties of merchantability
and fitness.  In no event shall the author be liable for any
special, indirect or consequential damages or any damages
whatsoever resulting from loss of use, data or profits, whether
in an action of contract, negligence or other tortious action,
arising out of or in connection with the use or performance of
this software.
****************************************************************/

#ifndef GAMEWINDOW_H
#define GAMEWINDOW_H

#include <ktopwidget.h>

#include "gamewidget.h"

class KMenuBar;
class QPopupMenu;
class GameWidget;
class KStatusBar;

class GameWindow : public KTopLevelWidget
{
	Q_OBJECT

public:
	GameWindow(const char *name=0);

private:
	enum menuPosition { Top, Bottom, Floating };	// hack
        Skill skill;
	KMenuBar *menu;
	QPopupMenu *file_popup, *options_popup, *skill_popup, *help_popup;
	int pauseID, beginnerID, intermediateID, advancedID, expertID;
	int soundsID;
	KStatusBar *status;
	GameWidget *game;

public slots:
	void menu_newGame();
	void menu_pause();
	void menu_endGame();
	void menu_highScores();
	void menu_beginner();
	void menu_intermediate();
	void menu_advanced();
	void menu_expert();
	void menu_sounds();
	void menu_help();
	void menu_about();
	void menu_aboutKDE();

	void updateStats(int p, int secs, int t);
	void noStats();
	void movedMenu(menuPosition);
};

#endif // !GAMEWINDOW_H
